Subscription
All operations require authentication.
3 operationsv1/vrack/{serviceName}
Get this object propertiesBeta
GET
/1.0/ vrack/ {serviceName}/ serviceInfos
Path parameters
service Name
required
string
The internal name of your vrack
Response
200Non Expiring Servicesuccessful operation
contact Admin
read-only
string
—
contact Billing
read-only
string
—
contact Tech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
service Id
read-only
integer
—
status
read-only
State Enum
—
Values
autorenewInProgressexpiredinCreationokpendingDebtunPaidExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vrack/ {serviceName}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"{ "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "serviceId": 0, "status": "autorenewInProgress"}
Request service terminationProduction
POST
/1.0/ vrack/ {serviceName}/ terminate
Request service termination. Starts the termination of the service. The admin contact receives a token by email, to confirm with the confirmTermination call.
Path parameters
service Name
required
string
The internal name of your vrack
Response
200stringsuccessful operation
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vrack/ {serviceName}/ terminate \
-H "authorization: Bearer $OVH_TOKEN""string"
Confirm service terminationProduction
POST
/1.0/ vrack/ {serviceName}/ confirmTermination
Confirm service termination. Terminates the service with the token sent by email to the admin contact. A reason, a future use and a comment can be given.
Path parameters
service Name
required
string
The internal name of your vrack
Request body (required)
commentary
string
Commentary about your termination request
future Use
Termination Future Use Enum
What next after your termination request
Values
NOT_REPLACING_SERVICEOTHERSUBSCRIBE_AN_OTHER_SERVICESUBSCRIBE_OTHER_KIND_OF_SERVICE_WITH_COMPETITORSUBSCRIBE_SIMILAR_SERVICE_WITH_COMPETITORreason
Termination Reason Enum
Reason of your termination request
Values
FEATURES_DONT_SUIT_MELACK_OF_PERFORMANCESMIGRATED_TO_ANOTHER_OVH_PRODUCTMIGRATED_TO_COMPETITORNOT_ENOUGH_RECOGNITIONNOT_NEEDED_ANYMORENOT_RELIABLENO_ANSWEROTHERPRODUCT_DIMENSION_DONT_SUIT_MEPRODUCT_TOOLS_DONT_SUIT_METOO_EXPENSIVETOO_HARD_TO_USEUNSATIFIED_BY_CUSTOMER_SUPPORTtoken
required
string
The termination token sent by email to the admin contact
Response
200stringsuccessful operation
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vrack/ {serviceName}/ confirmTermination \
-H "authorization: Bearer $OVH_TOKEN""string"